# README #

*Names* is a small utility that allows picking of random names from a database. It comes with a list of a few thousand names to boot.

### Installation ###

If you downloaded a [distribution package](https://bitbucket.org/chust/names/downloads), unzip it and run the extracted shell script or launch the `lib/names.jar` manually.

*Names* is written in [*Kotlin*](https://kotlinlang.org/) and requires a [*Java*](http://java.oracle.com/) runtime environment to work. The user interface code is based on *JavaFX*, so a JRE version 8 or above is probably required.

If you obtained a copy of the source, you can use [*Ant*](https://ant.apache.org/) to build the project after setting up paths to the required libraries in `build.properties`.

### Usage ###

When you launch *Names* it will look for configuration and a database in `~/.names` or wherever the `names.home` property points. The directory is created and populated with defaults, if necessary.

*Names* shows a single window that initially contains a list of randomly picked names. You can instruct *Names* to generate a fresh list, search for names with a small edit distance to selected ones and add them to the list or look up names that start with a given prefix.

The second column in the list of names can be edited to store arbitrary notes together with any name.

Import and export of text files is possible. Those files contain lines with a name and optionally notes separated from the name by a tabulator.